#include <gpk_std.h>
#include <math.h>
#include <assert.h>
#include "../v2.h"

main()
{
 vector2 x(0,0);
 assert(fabs(x(0)) < 1e-7);
 assert(fabs(x(1)) < 1e-7);

 vector2 xx(2,1);
 assert(fabs(xx(0)-2) < 1e-7);
 assert(fabs(xx(1)-1) < 1e-7);

 vector2 xxx = xx-x;
 assert(fabs(xxx(0)-2) < 1e-7);
 assert(fabs(xxx(1)-1) < 1e-7);
}
